Oracle CEP®
Development Environment for Eclipse

The 11.1 release of the tools is based on the 3.3.2 version of the Eclipse platform. The following software is required to run the Oracle CEP Tools:

 

Requirement   Notes
A JDK 1.6 VM    
Eclipse 3.3.2 and WTP 2.0.2  

The target Eclipse install must include the Eclipse Platform, Java Development Tools (JDT), Plug-in Development Environment (PDE), and Web Tools Platform (WTP).

The easiest way to get all dependencies at once is to get the Eclipse IDE for Java EE Developers (Win32 | Linux). The Oracle CEP Server is not a JEE based server, but this bundle from Eclipse is the one that contains all the necessary dependencies.

For those that have Eclipse 3.3.2 but do not have all the dependencies, see the Installing Further Eclipse Dependencies section on obtaining the rest of the dependencies through the Update Manager.

Legal Notice:

Eclipse 3.3.2 and WTP 2.0.2 are required for the use of this product but Eclipse 3.3.2 and WTP 2.0.2 and are neither provided, nor licensed by Oracle. Eclipse 3.3.2 and WTP 2.0.2 are available as part of a separate download and licensed under a separate Eclipse Foundation Software User Agreement available from Eclipse.org. Your license agreement with Oracle does not modify or abridge any rights or obligations you may have in such open source technology under the applicable license.

Oracle CEP 11.1   This must be installed on the same computer as the IDE.

 

Installing Further Eclipse Dependencies

 

If you have Eclipse 3.3.2 installed but are missing any of the further dependencies, they can be installed by taking the following steps:

  1. Go to the Help > Software Updates > Find and Install... menu
  2. Select Search for new features to install
  3. Select Europa Discovery Site from the list of sites
  4. In the resulting list make sure the following features under the Java Development category are selected (the ones you already have installed will not be shown)
    • Eclipse Java Development Tools
    • Eclipse Plug-in Development Environment
    • J2EE Standard Tools (JST) Project
  5. You may need to click the Select Required button to get all their dependencies
  6. Click Finish and proceed through the install wizard, restarting when requested